%global name_alias        pgm
%global version_main      %%(echo %{version} | awk -F. '{print $1"."$2}')
%global version_dash      %%(echo %{version} | awk -F. '{print $1"-"$2"-"$3}')

Summary:        An implementation of the PGM reliable multicast protocol
Name:           openpgm
Version:        5.3.128
Release:        1%{?dist}
License:        LGPLv2
URL:            https://github.com/steve-o/%{name}
Source0:        %{url}/archive/release-%{version_dash}.tar.gz
Patch3000:      openpgm-configure-c99.patch
Patch3001:      openpgm-c99.patch

BuildRequires: make gcc libtool automake autoconf
BuildRequires: python3 dos2unix perl-interpreter


%description
OpenPGM is an open source implementation of the Pragmatic General Multicast (PGM) specification 
in RFC 3208.


%package devel
Summary:       Development files for openpgm
Requires:      %{name} = %{version}-%{release}

%description devel
This package provides OpenPGM related development libraries and header files.


%prep
%autosetup -n %{name}-release-%{version_dash}/%{name}/%{name_alias}  -p3
dos2unix examples/getopt.c examples/getopt.h
libtoolize --force --copy
aclocal
autoheader
automake --copy --add-missing
autoconf

%build
mv openpgm-5.2.pc.in openpgm-%{version_main}.pc.in
%configure
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/lib%{name_alias}.{a,la}

mv -f %{buildroot}%{_includedir}/%{name_alias}-%{version_main}/%{name_alias} %{buildroot}%{_includedir}/

%files
%license LICENSE
%doc COPYING
%{_libdir}/*.so.*


%files devel
%doc examples/
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/openpgm-%{version_main}.pc


%changelog
* Wed Dec 20 2023 Upgrade Robot <upbot@opencloudos.org> - 5.3.128-1
- Upgrade to version 5.3.128

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2.122-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.2.122-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 20 2023 Wang Guodong <gordonwwang@tencent.com> - 5.2.122-1
- initial build
